<?php
/**
*	This module is free software. You can redistribute it and/or modify it 
*	under the terms of the GNU General Public License  - version 2 or later, 
*	as published by the Free Software Foundation: http://www.gnu.org/licenses/gpl.html.
*
*	This module is distributed in the hope that it will be useful, 
*	but WITHOUT ANY WARRANTY; without even the implied warranty of 
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
*	GNU General Public License for more details.
*
*	@version	0.2
*	@date		2008-10-26
*	@author		Ruud - http://forum.websitebaker2.org/index.php?action=profile;u=7276
*	@package	Websitebaker - Modul: Latest News
* 
**/

/**
*	Must include code to stop this file being accessed directly
*/
if(defined('WB_PATH') == false) exit("Cannot access this file directly");

/**
*	Check if module language file exists for the language set by the user (e.g. DE, EN),
*	and if not using the default EN.php
*/
$lang = WB_PATH .'/modules/latestnews/languages/'.LANGUAGE .'.php';
$default_lang  = WB_PATH .'/modules/latestnews/languages/EN.php';
require_once( ( !file_exists( $lang) ? $default_lang : $lang) );

// Include core functions of WB 2.7 to edit the optional module CSS files (frontend.css, backend.css)
if(file_exists(WB_PATH .'/framework/module.functions.php') && file_exists(WB_PATH .'/modules/edit_module_files.php')) {
	include_once(WB_PATH .'/framework/module.functions.php');
}

$query_settings = $database->query ( "SELECT * FROM ".TABLE_PREFIX."mod_latest_news WHERE section_id = ".$section_id);
$settings = $query_settings->fetchRow();
?>
<div style="border:1px solid brown; padding: 5px;">
<h2><?php echo $MOD_LATESTNEWS['BACK_TITLE']; ?></h2><?php echo $MOD_LATESTNEWS['BACK_DESCRIPTION']; ?><hr/>
<form name="modify" action="<?php echo WB_URL; ?>/modules/latestnews/save.php" method="post" style="margin: 0;">
<input type="hidden" name="section_id" value="<?php echo $section_id; ?>">
<input type="hidden" name="page_id" value="<?php echo $page_id; ?>">
<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
	<td width="200"><?php echo $MOD_LATESTNEWS['PAGETITLE']; ?>:</td>
	<td><input type="text" name="pagetitle" value="<?php echo $settings['pagetitle']; ?>"/></td>
</tr>

<tr>
	<td width="200"><?php echo $MOD_LATESTNEWS['BACK_GROUP']; ?>:</td>
	<td>
		<select name="show_group" style="width: 250px;">
			<option value="0"><?php echo $MOD_LATESTNEWS['BACK_ANY_GROUP']; ?></option>
			<?php
			$query = $database->query("SELECT group_id,title FROM ".TABLE_PREFIX."mod_news_groups WHERE active = '1' ORDER BY position ASC");
			if($query->numRows() > 0) {
				while($group = $query->fetchRow()) {
					?>
					<option value="<?php echo $group['group_id']; ?>"<?php if($settings['show_group'] == $group['group_id']) { echo ' selected'; } ?>><?php echo $group['title']; ?></option>
					<?php
				}
			}
			?>
		</select>
	</td>
</tr>
<tr>
	<td width="200"><?php echo $MOD_LATESTNEWS['BACK_POSTEDBY']; ?>:</td>
	<td><input type="checkbox" name="show_postedby" <? if($settings['show_postedby']==1) echo 'checked'; ?>/></td>
</tr>
<tr>
	<td width="200"><?php echo $MOD_LATESTNEWS['BACK_SHORTTEXT']; ?>:</td>
	<td><input type="checkbox" name="show_short" <? if($settings['show_short']==1) echo 'checked'; ?>/></td>
</tr>
<tr>
	<td width="200"><?php echo $MOD_LATESTNEWS['BACK_LONGTEXT']; ?>:</td>
	<td><input type="checkbox" name="show_long" <? if($settings['show_long']==1) echo 'checked'; ?>/></td>
</tr>
</table>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td align="left">
		<input name="save" type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;"></form>
	</td>
	<td>
	<?php if(function_exists('edit_module_css')) edit_module_css('latestnews'); ?>
	</td>
	<td align="right">
		<input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id; ?>';" style="width: 100px; margin-top: 5px;" />
	</td>
</tr>
</table>
</form>
</div><br/>