<?php
/**
*	This module is free software. You can redistribute it and/or modify it 
*	under the terms of the GNU General Public License  - version 2 or later, 
*	as published by the Free Software Foundation: http://www.gnu.org/licenses/gpl.html.
*
*	This module is distributed in the hope that it will be useful, 
*	but WITHOUT ANY WARRANTY; without even the implied warranty of 
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
*	GNU General Public License for more details.
*
*	@version	0.21
*	@date		2008-10-26
*	@author		Ruud - http://forum.websitebaker2.org/index.php?action=profile;u=7276
*	@package	Websitebaker - Modul: Latest News
* 
**/

/**
*	Must include code to stop this file being access directly
*/
if(defined('WB_PATH') == false) die("Cannot access this file directly");
/**
*	Check if module language file exists for the language set by the user (e.g. DE, EN),
*	and if not using the default EN.php
*/
$lang = WB_PATH .'/modules/latestnews/languages/'.LANGUAGE .'.php';
$default_lang  = WB_PATH .'/modules/latestnews/languages/EN.php';
require_once( ( !file_exists( $lang) ? $default_lang : $lang) );

if (!function_exists('getUserFromId')) {
	function getUserFromId($uid) {
		global $database;
		$retval = "";
		$query_users = $database->query("SELECT user_id,username,display_name,email FROM ".TABLE_PREFIX."users WHERE user_id = ".$uid);
		if($query_users->numRows() > 0) {
			$user = $query_users->fetchRow();
			//$retval = $user['username'];
			$retval = $user['display_name'];
		}
		return $retval;
	}
}


$query_settings = $database->query ( "SELECT * FROM ".TABLE_PREFIX."mod_latest_news WHERE section_id = ".$section_id);
$settings = $query_settings->fetchRow();
if($settings['show_group'] > 0) {
	$query_extra = "AND group_id = '".$settings['show_group']."'";
} else {
	$query_extra = '';
}

$show_postedby = ($settings['show_postedby'] ? 1: 0);
$show_short = ($settings['show_short'] ? 1: 0);
$show_long = ($settings['show_long'] ? 1: 0);
if ($MOD_LATESTNEWS['TIMEFORMAT'] == "") {
	$show_time = 0;
} else {
	$show_time = 1;
}

// run a check to see if the news module uses published_when. (WB2.7)
if ($database->query("SELECT `published_until` FROM ".TABLE_PREFIX."mod_news_posts LIMIT 1")) {  //WB2.7 
	$current_time = time();
	$query_extra .=  " AND (`published_when` = '0' OR `published_when` <= '$current_time') 
		AND (`published_until` = '0' OR `published_until` >= '$current_time')";
}


$query_posts = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_news_posts WHERE active = '1' AND title != '' $query_extra ORDER BY position DESC LIMIT 1");
if ($query_posts->numRows() == 1) {
	$post = $query_posts->fetchRow();

	$post_date = strftime($MOD_LATESTNEWS['DATEFORMAT'],$post['published_when']);
	$post_time = strftime($MOD_LATESTNEWS['TIMEFORMAT'],$post['published_when']);
	if ($post['published_when'] == "")  //Probably WB2.6.7
	{
		$post_date = strftime($MOD_LATESTNEWS['DATEFORMAT'],$post['posted_when']);
		$post_time = strftime($MOD_LATESTNEWS['TIMEFORMAT'],$post['posted_when']);
	}
	$wb->preprocess($post['content_short']);
	$post_short = $post['content_short'];
	$wb->preprocess($post['content_long']);
	$post_long = $post['content_long'];
	?>
	<div id="latestnews">
		<?php if($settings['pagetitle']!=''){ ?><div id="pagetitle"><?php echo $settings['pagetitle'];?></div><?php } ?>
		<div id="title"><h1><?php echo $post['title'];?></h1></div>
		<?php if($show_postedby==1){ ?> <div id="postedby"><?php echo $MOD_LATESTNEWS['POSTED_BY']; ?> <?php echo getUserFromId($post['posted_by']); ?> <?php echo $MOD_LATESTNEWS['ON']; ?> <?php echo $post_date; ?>
			<?php if($show_time==1){ ?> <?php echo $MOD_LATESTNEWS['AT']; ?> <?php echo $post_time; ?> <?php echo $MOD_LATESTNEWS['AFTER']; ?><?php } ?>
		<br/></div><?php } ?>
		<?php if($show_short==1)   { ?> <div id="news_short"><?php echo $post_short; ?></div><?php } ?>
		<?php if($show_long==1)    { ?> <div id="news_long"><?php echo $post_long; ?></div><?php } ?>
	</div>
	<?php 
}




?>
